package de.is24.realEstates.domain.energycertificate.validation;

public interface EnergyCertificateValidationErrorCodes {
  String EV_WARM_WATER_FIELD_NOT_VALID_FOR_THIS_CERTIFICATE = "EV_WARM_WATER_FIELD_NOT_VALID_FOR_THIS_CERTIFICATE";
  String EV_THERMAL_CHARACTERISTIC_NOT_VALID_FOR_THIS_CERTIFICATE =
    "EV_THERMAL_CHARACTERISTIC_NOT_VALID_FOR_THIS_CERTIFICATE";
  String EV_CERT_CREATION_DATE_NOT_VALID_FOR_THIS_CERTIFICATE = "EV_CERT_CREATION_DATE_NOT_VALID_FOR_THIS_CERTIFICATE";
  String EV_CERTIFICATE_TYPE_NOT_VALID_FOR_THIS_CERTIFICATE = "EV_CERTIFICATE_TYPE_NOT_VALID_FOR_THIS_CERTIFICATE";
  String EV_CONSTRUCTION_DATE_NOT_VALID_FOR_THIS_CERTIFICATE = "EV_CONSTRUCTION_DATE_NOT_VALID_FOR_THIS_CERTIFICATE";
  String EV_CONSTRUCTION_DATE_UNKNOWN_NOT_VALID_FOR_THIS_CERTIFICATE =
    "EV_CONSTRUCTION_DATE_UNKNOWN_NOT_VALID_FOR_THIS_CERTIFICATE";
  String EV_FIRING_TYPE_NOT_VALID_FOR_THIS_CERTIFICATE = "EV_FIRING_TYPE_NOT_VALID_FOR_THIS_CERTIFICATE";
  String EV_HEATING_TYPE_NOT_VALID_FOR_THIS_CERTIFICATE = "EV_HEATING_TYPE_NOT_VALID_FOR_THIS_CERTIFICATE";
  String EV_EFFICIENCY_CLASS_NOT_VALID_FOR_THIS_CERTIFICATE = "EV_EFFICIENCY_CLASS_NOT_VALID_FOR_THIS_CERTIFICATE";
  String EV_ELECTRICITY_CONSUMPTION_NOT_VALID_FOR_THIS_CERTIFICATE =
    "EV_ELECTRICITY_CONSUMPTION_NOT_VALID_FOR_THIS_CERTIFICATE";
  String EV_HEATING_CONSUMPTION_NOT_VALID_FOR_THIS_CERTIFICATE =
    "EV_HEATING_CONSUMPTION_NOT_VALID_FOR_THIS_CERTIFICATE";
  String EV_ENERGY_CONSUMPTION_ELECTRICITY_NOT_VALID_FOR_THIS_CERTIFICATE =
    "EV_ENERGY_CONSUMPTION_ELECTRICITY_NOT_VALID_FOR_THIS_CERTIFICATE";
  String EV_ENERGY_CONSUMPTION_HEATING_NOT_VALID_FOR_THIS_CERTIFICATE =
    "EV_ENERGY_CONSUMPTION_HEATING_NOT_VALID_FOR_THIS_CERTIFICATE";
  String EV_THERMAL_CHARACTERISTIC_ELECTRICITY_NOT_VALID_FOR_THIS_CERTIFICATE =
    "EV_THERMAL_CHARACTERISITIC_ELECTRICITY_NOT_VALID_FOR_THIS_CERTIFICATE";
  String EV_THERMAL_CHARACTERISTIC_HEATING_NOT_VALID_FOR_THIS_CERTIFICATE =
    "EV_THERMAL_CHARACTERISTIC_HEATING_NOT_VALID_FOR_THIS_CERTIFICATE";
  String EV_CERT_CREATION_DATE_NOT_FILLED = "EV_CERT_CREATION_DATE_NOT_FILLED";
  String EV_CERT_TYPE_NOT_FILLED = "EV_CERT_TYPE_NOT_FILLED";
  String THERMAL_CHARACTERISTIC_INVALID = "THERMAL_CHARACTERISTIC_INVALID";
  String ENERGY_CONSUMPTION_CONTAINS_WARM_WATER_INVALID = "ENERGY_CONSUMPTION_CONTAINS_WARM_WATER_INVALID";
  String ENERGY_CONSUMPTION_CONTAINS_WARM_WATER_WITHOUT_ENERGY_CONSUMPTION =
    "ENERGY_CONSUMPTION_CONTAINS_WARM_WATER_WITHOUT_ENERGY_CONSUMPTION";
  String THERMAL_CHARACTERISTIC_EMPTY = "THERMAL_CHARACTERISTIC_EMPTY";
  String THERMAL_CHARACTERISTIC_WITHOUT_ENERGY_RATING_TYPE = "THERMAL_CHARACTERISTIC_WITHOUT_ENERGY_RATING_TYPE";
  String CONSTRUCTION_YEAR_INVALID = "YEAR_INVALID";
  String CONSTRUCTION_YEAR_IS_MANDATORY = "EV_CONSTRUCTION_YEAR_IS_MANDATORY";
  String EV_CONSTRUCTION_YEAR_IS_MANDATORY_FOR_INVESTMENT = "EV_CONSTRUCTION_YEAR_IS_MANDATORY_FOR_INVESTMENT";
}
